import type { Extension } from "@codemirror/state";
import { type EditorView, type KeyBinding } from "@codemirror/view";
import { type EditorTheme, type ThemeOptions } from "../theme";
export type InitKeyMapsOptions = {
    onEnter?: HandleEnterKeyMapEditorFunction;
    onEscape?: HandleEscapeKeyMapEditorFunction;
    keyMaps?: CustomKeyMap[];
    defaultKeyMaps?: DefaultKeyMapsOptions;
};
export type CustomKeyMap = KeyBinding;
export type HandleEnterKeyMapEditorFunction = (view: EditorView) => boolean;
export type HandleEscapeKeyMapEditorFunction = (view: EditorView) => boolean;
export type DefaultKeyMapsOptions = {
    vim?: boolean;
    theme?: boolean;
};
export declare const initKeyMaps: ({ onEnter, onEscape, multiCursorMode, keyMaps, defaultKeyMaps, theme: initialTheme, vimMode: initialVimMode, dark, light, }: InitKeyMapsOptions & {
    multiCursorMode: boolean;
    vimMode: boolean;
    theme: EditorTheme;
    dark?: ThemeOptions;
    light?: ThemeOptions;
}) => Promise<Extension>;
