import { EditorView } from "@codemirror/view";
import type { WebsocketProvider } from "y-websocket";
import { type EditorTheme } from "../../extensions";
import { type EditorArguments } from "./Editor.types";
export declare class Editor {
    view: EditorView | undefined;
    provider: WebsocketProvider | undefined;
    arguments: EditorArguments;
    constructor(options: EditorArguments);
    focus: () => void;
    getContent: () => string | undefined;
    setReadonly: (readonly: boolean) => void;
    setTheme: (theme?: EditorTheme) => void;
    setVimMode: (mode: boolean) => Promise<void>;
    setUserProvider: (name?: string, color?: string) => void;
    destroy: () => void;
}
export type EditorInterface = typeof Editor;
